@echo off

rem FILE: "SR WatchDog Schedule.bat"
rem COPYRIGHT: (c), Symmetric Research, 2011-2016
rem
rem Schedule a watchdog task ( batch file ) to be executed periodically.
rem
rem The task is scheduled with the Windows command Schtasks.  This command may
rem require a user password.  Null passwords ( ie carriage returns only ) are NOT
rem ALLOWED.  Log on as a user with a valid password to run this batch file.
rem
rem TASKPERIOD sets the watchdog period.  It is measured in minutes and can go
rem up to 1439 which is about 1 day.
rem
rem "SR WatchDog Delete.bat" also has a parameter TASKNAME.  Make sure it
rem agrees with the value here.
rem
rem


rem Save path to the current example directory.

set EXAMPLEDIR=%CD%


rem *** NOTE:
rem
rem The "' ( double quote, followed by single quote ) in TASKEXE is required when
rem the task path contains spaces.  MS acknowledges this is an error, but at least
rem offers "' as a work around.
rem
rem

set TASKNAME="SR WatchDog"
set TASKEXE="'%EXAMPLEDIR%\002 SR WatchDog.bat'"
set TASKPERIOD=2


echo RUNNING: "SR WatchDog Schedule.bat"

echo.
echo.
echo *** Scheduling TASKNAME = %TASKNAME% to run periodically:
echo.
echo          TASKEXE = %TASKEXE%
echo       TASKPERIOD = %TASKPERIOD% ( minutes )
echo.
echo.
schtasks /create /tn %TASKNAME% /tr %TASKEXE% /sc minute /mo %TASKPERIOD%


echo.
echo.
echo.
echo *** Displaying the OS report for %TASKNAME%:
echo.
schtasks /query /tn %TASKNAME%


rem Pause to view the command window before exiting.
rem
echo.
echo.
pause

@echo on
