@echo off

rem FILE: PlotCompare.bat  ( Examples Interpolating )
rem COPYRIGHT: (c), Symmetric Research, 2016
rem
rem This batch file uses GnuPlot to make a plot showing a comparison between
rem plain and interpolated data.  Use Compare.bat to generate the data to be 
rem plotted.
rem
rem You MUST set the GP environment variables appropriately for your
rem computer so this batch file knows where to find the GnuPlot program.
rem
rem

rem Keep all title changes local ( ie restore on exit )

setlocal
title SR PLOTCOMPARE.BAT - ( Plot Interpolated and Plain Data )


rem Announce the program start:
rem
rem

echo PLOTCOMPARE.BAT: Starting ...
echo.


rem Set env variable alias for the GnuPlot executable:
rem
rem

set GP= "%ProgramFiles%\GnuPlot\bin\wgnuplot.exe"



rem Change to the most recently created YMDHMS data directory:
rem
rem YMDHMS = ( year, month, day, hour, minute, second ).
rem
rem This assumes Compare.bat has been run.  If so, both a batch file 
rem named YmdHmsSetEnv.bat and a corresponding YMDHMS directory should 
rem exist.  The actual directory name will be something like
rem "2014-05-29-at-15-47-46" reflecting the current date and time.
rem
rem Running the batch file sets the SR_YMDHMS environment variable which
rem can be used to change into the matching YMDHMS data directory.  All
rem processing utilities are run in this YMDHMS directory so any output
rem files are saved there.
rem
rem To change to a directory other than the most recent, comment in the set
rem line and comment out the call line below.  Then edit the set line for the
rem desired directory.
rem
rem

echo.
echo PLOTCOMPARE.BAT: Change to the YMDHMS data directory from the recent run:

rem Remove the comment on the line below to use the specified directory OR ...
rem set SR_YMDHMS=SampleData

rem Remove the comment on the line below to use the directory from the most 
rem recent run.
call YmdHmsSetEnv.bat


cd %SR_YMDHMS%

echo.
echo    changed directory to: %SR_YMDHMS%



rem The ..\ is needed before PlotCompare.gp because we just used cd to
rem go down one directory.
rem 
rem 

@echo on
@echo.
@echo.
@echo GnuPlot ..\PlotCompare.gp ...
@echo.

%GP% ..\PlotCompare.gp

@echo off


rem Return, advising the user what will happen.
rem
rem


echo.
echo.
echo If PlotCompare.bat was started by double clicking from Windows File Explorer,
echo this window will go away after "press any key to continue" ...
echo.
echo If PlotCompare.bat was started from a command prompt, it will return to the
echo command prompt.
echo.
pause
echo.

