@echo off

rem FILE: ViewEvent.bat  ( Example Triggering )
rem COPYRIGHT: (c), Symmetric Research, 2016
rem
rem
rem


rem Save path to the current example directory.

set EXAMPLEDIR=%CD%


rem Keep all title changes local ( ie restore on exit )

setlocal
title SR VIEWEVENT.BAT - ( View Triggering Events )


rem Announce the program start:
rem
rem

echo VIEWEVENT.BAT: Starting ...
echo.


rem Change to the most recently created YMDHMS data directory:
rem
rem YMDHMS = ( year, month, day, hour, minute, second ).
rem
rem This assumes Detect.bat has been run.  If so, both a batch file 
rem named YmdHmsSetEnv.bat and a corresponding YMDHMS directory should 
rem exist.  The actual directory name will be something like
rem "2014-05-29-at-15-47-46" reflecting the current date and time.
rem
rem Running the batch file sets the SR_YMDHMS environment variable which
rem can be used to change into the matching YMDHMS data directory.  All
rem processing utilities are run in this YMDHMS directory so any output
rem files are saved there.
rem
rem To change to a directory other than the most recent, comment in the set
rem line and comment out the call line below.  Then edit the set line for the
rem desired directory.
rem
rem

echo.
echo VIEWEVENT.BAT: Change to the YMDHMS data directory from the recent run:

rem set SR_YMDHMS=2014-05-29-at-15-47-46
call YmdHmsSetEnv.bat
cd %SR_YMDHMS%

echo.
echo    changed directory to: %SR_YMDHMS%



rem Set an environment variable with the INI filename.
rem
rem

set INIFILE=%EXAMPLEDIR%\ViewEvent.ini




rem Run AsciiViewFw program.
rem
rem

echo ViewEvent.bat
echo.
echo             Running = AsciiViewFw.exe "%INIFILE%"
echo   Working directory = "%CD%"
echo         Report file = "%CD%"/AsciiViewFw.rpt
echo.

C:\SR\USBXCH\Exe\AsciiViewFw.exe "%INIFILE%"



rem Return, advising the user what will happen.
rem
rem


echo.
echo.
echo If ViewEvent.bat was started by double clicking from Windows File Explorer,
echo this window will go away after "press any key to continue" ...
echo.
echo If ViewEvent.bat was started from a command prompt, it will return to the
echo command prompt.
echo.
pause
echo.

