@echo off

rem FILE: "Compile.bat"
rem COPYRIGHT: (c), Symmetric Research, 2017-2019
rem
rem Compile the USBxCH TriggerOnD0.c custom pipe utility program for WINDOWS.
rem
rem   ... this also compiles the SR CustomPipeLib.c for its support functions ...
rem

setlocal
echo off

set BATCHFILE="100 Compile.bat"

title Running SR %BATCHFILE%

echo.
echo Running %BATCHFILE% ...
echo.


rem Set up the MS Visual Studio version 10.0 command line compiler.
rem
rem All versions of MS VS are supplied with a batch file "vsvars32.bat" to set up
rem the environment for command line compiles with "cl.exe".
rem
rem Edit the "%VS100COMNTOOLS%\vsvars32.bat" path below for the version of VS
rem installed on your machine.
rem

echo.
echo *** INITIALIZING the MS Visual Studio "cl" COMMAND LINE COMPILER with vsvars32.bat:
echo.

call "%VS100COMNTOOLS%\vsvars32.bat"
echo.



rem Compile the programs.

echo.
echo.
echo *** Compiling TriggerOnD0.c and CustomPipeLib.c
echo.

cl TriggerOnD0.c CustomPipeLib.c



echo.
echo.
echo Compilation finished.


if "%1" == "nopause" ( goto :EOF )
pause

