' FILE: SrVbUsbXchBin.vb
' COPYRIGHT: (c), Symmetric Research, 2016
'
' Source code for accessing USBxCH BIN data in Visual Basic.
'

Imports Microsoft.VisualBasic
Imports System
Imports System.Runtime.InteropServices


Public Module SrVbUsbXchBin

    ' Public constants needed for working with BIN data.

    Public Const INVALID_HANDLE_VALUE As Short = -1
    Public Const MAXCHANNELS          As Integer = 8           ' max num channels for any USBxCH
    Public Const NSIZE_BINDATA        As Integer = 176         ' sizeof( struct BinLayout )
    Public Const BIN_ID               As Integer = &H31425253  ' SRB1
    Public Const BIN_REV              As Integer = &H00000001  ' Rev 1


    ' The explicit BIN data structure memory layout.

    <StructLayout(LayoutKind.Explicit)>  _
    Structure BinLayout

        <FieldOffset(0)>   Public Id                  As Integer  ' Reserved ID field
        <FieldOffset(4)>   Public Rev                 As Integer  ' BIN Rev number

        <FieldOffset(8)>   Public Sample              As Long     ' USBxCH sample count

        <FieldOffset(16)>  Public Analog0             As Integer  ' 8 channels to work for USB4/8CH
        <FieldOffset(20)>  Public Analog1             As Integer
        <FieldOffset(24)>  Public Analog2             As Integer
        <FieldOffset(28)>  Public Analog3             As Integer
        <FieldOffset(32)>  Public Analog4             As Integer
        <FieldOffset(36)>  Public Analog5             As Integer
        <FieldOffset(40)>  Public Analog6             As Integer
        <FieldOffset(44)>  Public Analog7             As Integer

        <FieldOffset(48)>  Public reserved_1          As Integer
        <FieldOffset(52)>  Public reserved_2          As Integer

        <FieldOffset(56)>  Public reserved_3          As Integer
        <FieldOffset(60)>  Public reserved_4          As Integer

        <FieldOffset(64)>  Public PpsToggleCount      As Integer  ' PPS count
        <FieldOffset(68)>  Public reserved_5          As Integer

        <FieldOffset(72)>  Public reserved_6          As Byte
        <FieldOffset(73)>  Public DigitalAll          As Byte     ' four digital inputs
        <FieldOffset(74)>  Public PpsToggle           As Byte     ' PPS square wave
        <FieldOffset(75)>  Public reserved_7          As Byte

        <FieldOffset(76)>  Public VoltageGood         As Byte     ' power history
        <FieldOffset(77)>  Public NumSat              As Byte     ' number GPS satellites
        <FieldOffset(78)>  Public Trigger             As Byte     ' amplitude trigger satisfied
        <FieldOffset(79)>  Public reserved_8          As Byte

        <FieldOffset(80)>  Public Lat10K              As Integer  ' Latitude  times 10000 +N,-S 
        <FieldOffset(84)>  Public Lon10K              As Integer  ' Longitude times 10000 -W,+E 
        <FieldOffset(88)>  Public Alt10K              As Integer  ' Altitude  times 10000 in meters 
        <FieldOffset(92)>  Public DegC2               As Integer  ' Degrees C times 2

        <FieldOffset(96)>  Public reserved_9          As Integer
        <FieldOffset(100)> Public reserved_10         As Integer

        <FieldOffset(104)> Public reserved_11         As Long
        <FieldOffset(112)> Public reserved_12         As Long
        <FieldOffset(120)> Public reserved_13         As Long
        <FieldOffset(128)> Public reserved_14         As Long
        <FieldOffset(136)> Public reserved_15         As Long
        <FieldOffset(144)> Public reserved_16         As Long
        <FieldOffset(152)> Public TimeStamp           As Long     ' time in nanoseconds since 1970absolute ns at sample computed using anchor

        <FieldOffset(160)> Public reserved_17         As Long
        <FieldOffset(168)> Public reserved_18         As Long

    End Structure

End Module
