@echo off

rem Sleep for specified number of seconds

rem Process first command line argument for number of seconds to sleep
rem before automatically waking.  0 or none prevents waking.

set srnsec=%1
if "%srnsec%" == ""  set srnsec=0


rem Set display condition on waking.  0 for stay off, 1 for come on.

set srdisplay=1


rem Announce intentions

set srsleeptext=forever
if %srnsec% == 0 goto SynchStart
set srsleeptext=%srnsec% seconds


rem Synchronize start of sleep by waiting for blast event before
rem beginning first loop with sleep

:SynchStart
echo Wait for initial event signal ...
WaitUntilReady


rem Main sleep wait loop

:RepeatIt

rem Start sleeping

echo Preparing to sleep for %srsleeptext% ...
RequestSleep %srnsec% %srdisplay%


rem Wait for event before looping around to sleep

echo Preparing to wait for event signal ...
WaitUntilReady

goto RepeatIt


rem Cleanup

:Cleanup

set srsleeptext=
set srdisplay=
set srnsec=

@echo on
