@echo off
rem Batch file to copy the files needed to run this example from
rem the Earthworm run directory.

rem To use %EW_xxx% environment variable you MUST first set the
rem EW environment by running the ew_nt.cmd file.

set EWPARMDIR=%EW_PARAMS%
set EWDATADIR=%EW_DATA_DIR%
set EWLOGDIR=%EW_LOG%
set EWBINDIR=%EW_HOME%\%EW_VERSION%\bin\
rem set EWPARMDIR="C:\Earthworm\run_working\params\"
rem set EWDATADIR="C:\Earthworm\run_working\data\"
rem set EWLOGDIR="C:\Earthworm\run_working\log\"
rem set EWBINDIR="C:\Earthworm\v7.9\bin\"

rem that directory name is set and ok with user.

if "%EWPARMDIR%" == "" (
	echo "ERROR: To use EW_xxx environment variables you MUST first set"
	echo "       the EW environment by running the ew_nt.cmd batch file."
	echo "       Or comment in the hardwired paths."
	pause
	exit /b
) else (
	echo Preparing to copy Earthworm executable to %EWBINDIR%
	echo and Earthworm Example files to %EWPARMDIR% ...
	pause
)


rem Creating directories if needed.

echo Creating Earthworm params, data and log directories if needed.

if NOT exist %EWPARMDIR% (
        echo Making param directory %EWPARMDIR%
        mkdir %EWPARMDIR%
)
if NOT exist %EWDATADIR% (
        echo Making data directory %EWDATADIR%
        mkdir %EWDATADIR%
)
if NOT exist %EWLOGDIR% (
        echo Making log directory %EWLOGDIR%
        mkdir %EWLOGDIR%
)
echo.



rem Do the copies.

echo Copying Earthworm executable to %EWBINDIR% ...

copy /y ..\sr2ew.exe               %EWBINDIR%\.


echo Copying Earthworm Example files to %EWPARMDIR% ...

copy /y ..\sr2ew.d                 %EWPARMDIR%\.
copy /y ..\sr2ew.desc              %EWPARMDIR%\.
copy /y ..\Sr2Ew.ini               %EWPARMDIR%\.
copy /y ..\Sr2EwPipeline.bat       %EWPARMDIR%\.
copy /y ..\Sr2EwPipelineKill.bat   %EWPARMDIR%\.

copy /y ew_nt.cmd                  %EWPARMDIR%\.
copy /y earthworm.d                %EWPARMDIR%\.
copy /y earthworm_commonvars.d     %EWPARMDIR%\.
copy /y earthworm_global.d         %EWPARMDIR%\.
copy /y startstop.desc             %EWPARMDIR%\.
copy /y startstop_nt.d             %EWPARMDIR%\.
copy /y statmgr.d                  %EWPARMDIR%\.
copy /y statmgr.desc               %EWPARMDIR%\.
copy /y wave_serverV.d             %EWPARMDIR%\.
copy /y wave_serverV.desc          %EWPARMDIR%\.
copy /y export_generic.d           %EWPARMDIR%\.
copy /y export_generic.desc        %EWPARMDIR%\.
copy /y import_generic.d           %EWPARMDIR%\.
copy /y import_generic.desc        %EWPARMDIR%\.
copy /y mseedarchplayer.d          %EWPARMDIR%\.
copy /y mseedarchplayer.desc       %EWPARMDIR%\.
copy /y tankplayer.d               %EWPARMDIR%\.
copy /y tankplayer.desc            %EWPARMDIR%\.
copy /y wave_viewer.d              %EWPARMDIR%\.
copy /y clean.bat                  %EWPARMDIR%\.

echo ... Done
echo.
pause
